| Haskell Hierarchical Libraries (base package) | Contents | Index

Data.Generics.Text

Portability | non-portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
"Scrap your boilerplate" --- Generic programming in Haskell See http://www.cs.vu.nl/boilerplate/. The present module provides generic operations for text serialisation of terms.
Synopsis

gshow :: Data a => a -> String
gread :: Data a => ReadS a

Documentation
gshow :: Data a => a -> String
Generic show: an alternative to "deriving Show"
gread :: Data a => ReadS a
Generic read: an alternative to "deriving Read"
Produced by Haddock version 0.7